### Property

# WebKit InputMethodContext:input-purpose

since: 2.28

#### Declaration

    property input-purpose: WebKit.InputPurpose [ read, write ]

#### Description [src]

The `WebKitInputPurpose` of the input associated with this context.

Type: | `WebKitInputPurpose`
Available since: | 2.28

Default value | WEBKIT_INPUT_PURPOSE_FREE_FORM
Getter method | `webkit_input_method_context_get_input_purpose()`
Setter method | `webkit_input_method_context_set_input_purpose()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no